#!/usr/bin/env ruby
require 'extlz4' # Need "gem install extlz4"

unless ARGV.size == 1
    puts "Usage: p2_exelz4.rb [file]"
    return
end

STUB_NAME = File.join(__dir__,"p2_lz4stub.binary") # Get absolute path to stub binary

output_file = File.binread(STUB_NAME)
input_file = File.binread(ARGV[0])
compressed = LZ4.block_encode(LZ4::HC_CLEVEL_MAX,input_file)
output_file.concat([compressed.size].pack("L<")) # Write size of compressed data as long
output_file.concat(compressed)
File.binwrite(ARGV[0].chomp(".binary")+".lz4.binary",output_file)
